Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.sitemesh
[Java] Class GrailsRoutablePrintWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              org.codehaus.groovy.grails.web.util.GrailsPrintWriterAdapter
                  org.codehaus.groovy.grails.web.sitemesh.GrailsRoutablePrintWriter

    public class GrailsRoutablePrintWriter
    extends GrailsPrintWriterAdapter

Nested Class Summary
`static interface` | `GrailsRoutablePrintWriter.DestinationFactory` Factory to lazily instantiate the destination.

Field Summary

Fields inherited from class GrailsPrintWriterAdapter
target

Constructor Summary
`GrailsRoutablePrintWriter(GrailsRoutablePrintWriter.DestinationFactory factory)`

Method Summary
`protected void` | `activateDestination()`
`java.io.PrintWriter` | `append(char c)`
`java.io.PrintWriter` | `append(java.lang.CharSequence csq, int start, int end)`
`java.io.PrintWriter` | `append(java.lang.CharSequence csq)`
`void` | `blockFlushAndClose()`
`boolean` | `checkError()`
`void` | `close()`
`void` | `flush()`
`boolean` | `isAllowUnwrappingOut()`
`boolean` | `isBlockClose()`
`boolean` | `isBlockFlush()`
`boolean` | `isDestinationActivated()`
`GrailsPrintWriter` | `leftShift(java.lang.Object value)`
`GrailsPrintWriter` | `leftShift(StreamCharBuffer otherBuffer)`
`GrailsPrintWriter` | `leftShift(groovy.lang.Writable writable)`
`static GrailsRoutablePrintWriter` | `newInstance(GrailsRoutablePrintWriter.DestinationFactory factory)`
`void` | `print(java.lang.Object obj)`
`void` | `print(java.lang.String s)`
`void` | `print(char[] s)`
`void` | `print(double d)`
`void` | `print(float f)`
`void` | `print(long l)`
`void` | `print(int i)`
`void` | `print(char c)`
`void` | `print(boolean b)`
`void` | `println(java.lang.Object x)`
`void` | `println(java.lang.String x)`
`void` | `println(char[] x)`
`void` | `println(double x)`
`void` | `println(float x)`
`void` | `println(long x)`
`void` | `println(int x)`
`void` | `println(char x)`
`void` | `println(boolean x)`
`void` | `println()`
`void` | `setBlockClose(boolean blockClose)`
`void` | `setBlockFlush(boolean blockFlush)`
`void` | `setDestinationActivated(boolean destinationActivated)`
`void` | `unBlockFlushAndClose()`
`java.io.Writer` | `unwrap()`
`void` | `updateDestination(GrailsRoutablePrintWriter.DestinationFactory f)`
`void` | `write(java.lang.String s)`
`void` | `write(java.lang.String s, int off, int len)`
`void` | `write(char[] buf)`
`void` | `write(char[] buf, int off, int len)`
`void` | `write(int c)`

Methods inherited from class GrailsPrintWriterAdapter
append, append, append, append, append, checkError, close, flush, getOut, getTarget, handleIOException, isAllowUnwrappingOut, isTrouble, isUsed, leftShift, leftShift, leftShift, markUsed, newInstance, plus, print, print, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, println, println, resetUsed, setError, setTarget, setUsed, unwrap, write, write, write, write, write, write, write

Methods inherited from class java.io.PrintWriter
java.io.PrintWriter#checkError(), java.io.PrintWriter#printf(java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#printf(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#println(double), java.io.PrintWriter#println([C), java.io.PrintWriter#println(java.lang.String), java.io.PrintWriter#println(java.lang.Object), java.io.PrintWriter#println(boolean), java.io.PrintWriter#println(), java.io.PrintWriter#println(int), java.io.PrintWriter#println(long), java.io.PrintWriter#println(float), java.io.PrintWriter#println(char), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(char), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#format(java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#format(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#write([C), java.io.PrintWriter#write(java.lang.String, int, int), java.io.PrintWriter#write(java.lang.String), java.io.PrintWriter#write(int), java.io.PrintWriter#write([C, int, int), java.io.PrintWriter#print(double), java.io.PrintWriter#print(java.lang.Object), java.io.PrintWriter#print(long), java.io.PrintWriter#print(float), java.io.PrintWriter#print([C), java.io.PrintWriter#print(java.lang.String), java.io.PrintWriter#print(boolean), java.io.PrintWriter#print(char), java.io.PrintWriter#print(int), java.io.PrintWriter#flush(), java.io.PrintWriter#close(), java.io.PrintWriter#wait(long, int), java.io.PrintWriter#wait(long), java.io.PrintWriter#wait(), java.io.PrintWriter#equals(java.lang.Object), java.io.PrintWriter#toString(), java.io.PrintWriter#hashCode(), java.io.PrintWriter#getClass(), java.io.PrintWriter#notify(), java.io.PrintWriter#notifyAll()

Constructor Detail

### GrailsRoutablePrintWriter

    public GrailsRoutablePrintWriter(GrailsRoutablePrintWriter.DestinationFactory factory)

Method Detail

### activateDestination

    protected void activateDestination()

### append

    @java.lang.Override
    public java.io.PrintWriter append(char c)

### append

    @java.lang.Override
    public java.io.PrintWriter append(java.lang.CharSequence csq, int start, int end)

### append

    @java.lang.Override
    public java.io.PrintWriter append(java.lang.CharSequence csq)

### blockFlushAndClose

    public void blockFlushAndClose()

### checkError

    @java.lang.Override
    public boolean checkError()

### close

    @java.lang.Override
    public void close()

### flush

    @java.lang.Override
    public void flush()

### isAllowUnwrappingOut

    @java.lang.Override
    public boolean isAllowUnwrappingOut()

### isBlockClose

    public boolean isBlockClose()

### isBlockFlush

    public boolean isBlockFlush()

### isDestinationActivated

    public boolean isDestinationActivated()

### leftShift

    @java.lang.Override
    public GrailsPrintWriter leftShift(java.lang.Object value)

### leftShift

    @java.lang.Override
    public GrailsPrintWriter leftShift(StreamCharBuffer otherBuffer)

### leftShift

    @java.lang.Override
    public GrailsPrintWriter leftShift(groovy.lang.Writable writable)

### newInstance

    public static GrailsRoutablePrintWriter newInstance(GrailsRoutablePrintWriter.DestinationFactory factory)

### print

    @java.lang.Override
    public void print(java.lang.Object obj)

### print

    @java.lang.Override
    public void print(java.lang.String s)

### print

    @java.lang.Override
    public void print(char[] s)

### print

    @java.lang.Override
    public void print(double d)

### print

    @java.lang.Override
    public void print(float f)

### print

    @java.lang.Override
    public void print(long l)

### print

    @java.lang.Override
    public void print(int i)

### print

    @java.lang.Override
    public void print(char c)

### print

    @java.lang.Override
    public void print(boolean b)

### println

    @java.lang.Override
    public void println(java.lang.Object x)

### println

    @java.lang.Override
    public void println(java.lang.String x)

### println

    @java.lang.Override
    public void println(char[] x)

### println

    @java.lang.Override
    public void println(double x)

### println

    @java.lang.Override
    public void println(float x)

### println

    @java.lang.Override
    public void println(long x)

### println

    @java.lang.Override
    public void println(int x)

### println

    @java.lang.Override
    public void println(char x)

### println

    @java.lang.Override
    public void println(boolean x)

### println

    @java.lang.Override
    public void println()

### setBlockClose

    public void setBlockClose(boolean blockClose)

### setBlockFlush

    public void setBlockFlush(boolean blockFlush)

### setDestinationActivated

    public void setDestinationActivated(boolean destinationActivated)

### unBlockFlushAndClose

    public void unBlockFlushAndClose()

### unwrap

    @java.lang.Override
    public java.io.Writer unwrap()

### updateDestination

    public void updateDestination(GrailsRoutablePrintWriter.DestinationFactory f)

### write

    @java.lang.Override
    public void write(java.lang.String s)

### write

    @java.lang.Override
    public void write(java.lang.String s, int off, int len)

### write

    @java.lang.Override
    public void write(char[] buf)

### write

    @java.lang.Override
    public void write(char[] buf, int off, int len)

### write

    @java.lang.Override
    public void write(int c)

Groovy Documentation